Subject: Re: bug#46472: Make lisp/mail/uce.el obsolete

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Feb 2021 16:00:01 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 13 Feb 2021 06:25:19 -0600
> Cc: [email-masked]
> 
> But I think we should be equally free to (strongly) recommend against
> bad practices.

The method of "recommendation" you propose is too strong for my
palate, sorry.  In general, I believe that people should be left to
their devices unless what they do causes harm to others.
Second-guessing other people under the assumption that we know better
is something I don't like doing, and don't like others doing to me.

How about adding some warnings to uce.el instead, either in the
commentary or when the main entry point is invoked for the first time
in a session?